Subject: Re: bug#24219: Fwd: Compiling guile-2.0.12

From: Andy Wingo <[email-masked]>
Date: Wed, 01 Mar 2017 10:04:42 +0100

On Sat 13 Aug 2016 16:10, Paul Emsley <[email-masked]> writes:

> $ ./configure --prefix=$HOME/guile-2 --with-libltdl-prefix=$HOME/guile-2
>
> checking for dlopen... no
> checking for dlopen in -ldl... yes
> checking whether a program can dlopen itself... yes
> checking whether a statically linked program can dlopen itself... yes
> checking whether stripping libraries is possible... yes
> checking if libtool supports shared libraries... yes
> checking whether to build shared libraries... yes
> checking whether to build static libraries... yes
> checking for libltdl... no
> configure: error: GNU libltdl (Libtool) not found, see README.
>
>
> config.log has this:
>
> configure:46406: checking for libltdl
> configure:46428: gcc -o conftest -g -O2   conftest.c  -lltdl >&5
> conftest.c:598:18: error: ltdl.h: No such file or directory
> configure:46428: $? = 1
>
> It seems to me that the argument to --with-libltdl-prefix is not being
> checked.  And that seems like a bug.

I looked at the generated "configure" file and it would seem that (in
your case) $HOME/guile-2/include is only added to the command line (via
-I $HOME/guile-2/include) if it exists and is a directory.  Similarly
for $HOME/guile-2/lib.  I suspect that was the situation.  Since this is
a standard autoconf thing and we do nothing special, I have to assume
that was the case.  Closing optimisitically :)

Andy